Subject: bug#13814: 24.3.50; Dynamic variables shadowing prevent defvar

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Feb 2013 19:03:05 -0500

Thanks for filing it, so we have a clear bug-number for this long
standing problem.  If someone wants to take a crack at fixing it,
I think that we should add a `set-toplevel-default' which defvar and
defcustom could use, as for how to implement it, I you can take a look
at the check&warning in the C code of `defvar'.

        Stefan